Bug 546502 - system-config-boot not loading timeout/default from grub.conf
Summary: system-config-boot not loading timeout/default from grub.conf
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-boot
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-11 02:18 UTC by Patrick J. Maloney
Modified: 2012-08-16 21:54 UTC (History)
3 users (show)

Fixed In Version: system-config-boot-1.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 21:54:20 UTC


Attachments (Terms of Use)
Proposed patch to boot_gui.py (680 bytes, patch)
2009-12-11 02:18 UTC, Patrick J. Maloney
no flags Details | Diff

Description Patrick J. Maloney 2009-12-11 02:18:21 UTC
Created attachment 377648 [details]
Proposed patch to boot_gui.py

Description of problem:
system-config-boot does not load default/timeout from grub.conf and defaults those values to 0/15.

How reproducible:
Run system-config-boot.  Pick an item other than the first one in the list and set the timeout to something other than 15 and hit OK (grub.conf will get updated with these new settings).  Restart system-config-boot.  The first item is selected and timeout is 15.

Additional info:
This was caused by a recent commit to the repository of boot_gui.py where the readBootDB() was moved to a place *before* probedBoot and probedTimeout are initialized.

Proposed patch attached.

Comment 1 Eric Blake 2010-07-28 13:46:29 UTC
I've confirmed that this is still present in F13.  Additionally, if you use the spinner icon to reduce the time, you can only reduce it back to 1, not 0.

Comment 2 Bug Zapper 2010-11-04 03:39:06 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Eric Blake 2010-11-04 13:55:02 UTC
Re-targetting to F14; the bug is still present in:
system-config-boot-0.4.1-2.fc14.x86_64

Comment 4 Fedora Update System 2011-03-08 15:30:15 UTC
system-config-boot-1.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/system-config-boot-1.0-1.fc15

Comment 5 Fedora Update System 2011-03-16 04:14:03 UTC
system-config-boot-1.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Eric Blake 2011-03-16 14:04:44 UTC
Reopening: I tested system-config-boot-1.0-1.fc15.i686.  Comment 0 is fixed (the timeout reads the contents at start, and writes back correctly to grub.conf).  However, comment 1 is still broken: there's still no way to drop the timeout to 0 seconds (the spinner stops at 1, and manually typing 0 gets adjusted back to 1 on save).

Comment 7 Fedora End Of Life 2012-08-16 21:54:22 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.